#
# spec file for package perl-Expect (Version 1.15)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-IO-Stty perl-IO-Tty permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           perl-Expect
BuildRequires:  perl-IO-Stty perl-IO-Tty
Url:            http://search.cpan.org/search?module=Expect
License:        Artistic License
Group:          Development/Libraries/Perl
Requires:       perl-IO-Tty perl-IO-Stty
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        Expect for perl
Version:        1.15
Release:        307.4
Source:         Expect-%{version}.tar.gz
Patch:          Expect.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool for automating interactive programs



Authors:
--------
    Roland Giersig <RGiersig@cpan.org>
    Austin Schutz <tex@habit.com>

%debug_package
%prep
%setup -n Expect-%{version}
%patch -p1

%build
touch $RPM_BUILD_ROOT/timestamp
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorarch}/auto/Expect/
/%{perl_vendorlib}/Expect.pod
/%{perl_vendorlib}/Expect.pm
%doc tutorial
%doc examples
%doc %{_mandir}/man3/*
/var/adm/perl-modules/perl-Expect

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 - mc@suse.de
- add vendorarch changes
- add make test
* Mon May 19 2003 - mc@suse.de
- removed unpackaged Files from RPM_BUILD_ROOT
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Fri Apr 05 2002 - mc@suse.de
- switch to version 1.15
- changed tests to check out pty behaviour (max. string length)
- added autoflush(1) to log_file
- split 'new' and 'spawn' to be able to set slave pty params via stty
  before actually spawning the program
- added print_log_file(), send() now no longer prints to log file or
  stdout.
- spawn() now uses IO::Pty spawn, thus exec errors are reported and
  ssh should work too!
- timeout handlers now also can exp_continue
- added 'raw_pty' option, also setting master to raw if isatty()
- use 'set_raw' instead of stty("raw"); IO::Stty now optional
- updated docs & FAQs; explained how terminal sizes and SIGWINCH
  should be propagated
- bug fixes
* Wed Nov 07 2001 - mc@suse.de
- switch to version 1.12
- exp_Max_Accum didn't work for interact.
- removed soft_close() from DESTROY.  Being overly nice to a doomed process
  doesn't pay off.  Old behaviour is available via
  $Expect::Do_Soft_Close = 1;
- cleanup of log and exp_internal output
- added various aliases for functions starting with 'exp_'
- moved FAQ and intro into the main pod as I got the impression
  that many users didn't bother to read all the documentation
  or didn't know that it was there.
- added a hook for log_file: can be set to a code ref.
* Sun Aug 12 2001 - kukuk@suse.de
- Fix path to perl interpreter
* Thu Jun 21 2001 - mc@suse.de
- fixed the specfile. Used more RPM macros
* Wed Feb 21 2001 - mc@suse.de
- first package, v1.11
